## org.irisa.genouest.logol
Class Logol

    java.lang.Object
      org.irisa.genouest.logol.Logol

    public class Logol

extends java.lang.Object

Main class to analyse a logol grammar and map it in prolog. It then executes the program with the input sequence.

Author:
  osallou History: 26/03/09 Fix 1271 Add error email 22/04/09 Fix 1327 Check directories existence 27/04/03 Fix 1330 Wrong position on reverse 04/05/09 Fix 1333 Wrong position when using local split 20/05/09 Fix 1365 Add filtering to keep singletons only 12/06/09 Fix 1337 support relative path 14/04/10 Fix 1602 Add additional filtering options 21/07/10 Fix 1660 OutofMemory issue with Biojava

Nested Class Summary
`static class` `Logol.FILTER`

Field Summary
`static boolean` `singlesOnly`

Constructor Summary
`Logol()`

Method Summary
`static void` `analyse()`
`static java.lang.String` `getFilterType()`
`static java.lang.String` `getGrammarFile()`
`static java.lang.String` `getOutputSeqName()` Return output sequenmax ce name
`static void` `main(java.lang.String[] args)` Entry point of the program
`static void` `reset()`
`static void` `setGrammarFile(java.lang.String grammarFile)`
`static void` `setOutputSeqName(java.lang.String outputSeqName)` Sets output sequence name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singlesOnly

    public static boolean singlesOnly

Constructor Detail

### Logol

    public Logol()

Method Detail

### reset

    public static void reset()

### main

    public static void main(java.lang.String[] args)
                     throws java.io.IOException,
                            java.lang.InterruptedException,
                            org.apache.commons.configuration.ConfigurationException,
                            org.apache.commons.cli.ParseException,
                            GrammarException

  Entry point of the program

  Parameters:
    `args` - path to working directory + unique ID
  Throws:
    `java.io.IOException`
    `org.antlr.runtime.RecognitionException`
    `java.lang.InterruptedException`
    `org.apache.commons.configuration.ConfigurationException`
    `org.apache.commons.cli.ParseException`
    `GrammarException`

### analyse

    public static void analyse()
                        throws java.io.IOException,
                               GrammarException

  Throws:
    `java.io.IOException`
    `GrammarException`

### getOutputSeqName

    public static java.lang.String getOutputSeqName()

  Return output sequenmax ce name

  Returns:
    output sequence name

### setOutputSeqName

    public static void setOutputSeqName(java.lang.String outputSeqName)

  Sets output sequence name

  Parameters:
    `outputSeqName` - the output sequence name

### getGrammarFile

    public static java.lang.String getGrammarFile()

### setGrammarFile

    public static void setGrammarFile(java.lang.String grammarFile)

### getFilterType

    public static java.lang.String getFilterType()